%global momorel 1
%global srcname httplib2

%define python_sitelib %(%{__python} -c "from distutils.sysconfig import get_python_lib; print get_python_lib()")

Summary: A Python HTTP library
Name: python-httplib2
Version: 0.2.0
Release: %{momorel}m%{?dist}
License: MIT/X
URL: http://bitworking.org/projects/httplib2/
Group: Development/Libraries
Source0: %{srcname}-%{version}.tar.gz
BuildRoot: %{_tmppath}/%{name}-%{version}-root
Requires: python
BuildRequires: python-devel

%description
A comprehensive python HTTP client library, which supports many
features left out of other HTTP libraries.

%prep
%setup -q -n %{srcname}-%{version}

%build
CFLAGS="%{optflags}" python setup.py build

%install
[ "%{buildroot}" != "/" ] && rm -rf %{buildroot}
python setup.py install --prefix=%{_prefix} --root=%{buildroot}

%clean
[ "%{buildroot}" != "/" ] && rm -rf %{buildroot}

%files
%defattr(-,root,root)
%doc PKG-INFO README
%{python_sitelib}/httplib2

%changelog
* Mon Jun 11 2007 Ichiro Nakai <ichiro@n.email.ne.jp>
- (0.22-1m)
- initial package for libopensync-plugin-google-calendar
- Summary and %%description are imported from opensuse
